  <div class="row p-3">

    <div class="col-4">
        <ng-container *ngIf="userProfile.isYourFriend==false">
          <button class="button-section" type='submit' (click)="addFriend(userProfile.id)">Add</button>
          <ng-container *ngIf="isSpinnerShow"><mat-spinner></mat-spinner></ng-container>
        </ng-container>
        <ng-container *ngIf="userProfile.isYourFriend">
          <div class="friend-text">
            You are friends
          </div>
        </ng-container>
      </div>


    <div class="col-3 ">
      <button class="button-messages" type='submit' (click)="goToConversation()">Message</button>
    </div>
  </div>
  <mat-divider></mat-divider>
  <app-section-user-personal [user]="userProfile"></app-section-user-personal>
  <mat-divider></mat-divider>
  <app-section-address [address]="userProfile.address"></app-section-address>
  <mat-divider></mat-divider>
  <app-section-contact [contact]="userProfile.contact" [isAdmin]="isAdmin"></app-section-contact>
  <mat-divider></mat-divider>
  <app-section-cars [cars]="userProfile.carsList"></app-section-cars>
  <mat-divider></mat-divider>
  <app-all-post-page [idProfileToShow]="userProfile.id" [postsForProfile]="true"></app-all-post-page>

